#-*-coding:Utf-8-*
"""
Envoi d'un email de type texte
Pour la doc du module email :
 http://docs.python.org/library/email.html#module-email
"""
import smtplib
from email.mime.text import MIMEText

#ouverture du fichier contenant le corps du message
#on précise l'encodage du fichier source si ce n'est pas de l'UTF-8
#en interne Python encodera en Unicode UTF-8
myfile = open('messageI.txt','r',encoding='Latin_1')
#creation de l'objet courriel de type MIME /text
#on précise le _charset UTF-8 afin de pouvoir envoyer un message avec
#des carctères accentués, sinon le _charset par défaut est us-ascii
#et les carctères accentués ne sont pas pris en charge
myemail = MIMEText(myfile.read(),_charset='utf-8')
#on ferme proprement le fichier contenant le message
myfile.close()
#on remplit l'en-tete du courriel
myemail['Subject'] = 'Un email contenant du texte'
myemail['From'] = 'expediteurc@mail.fr'
myemail['To'] = 'destinatairer@mail.fr'
#on se connecte à notre serveur smtp
smtpserver = smtplib.SMTP('smtp.monserveur.fr',587)
#il faut s'authentifier
smtpserver.login('login','password')
#on envoie le message
smtpserver.send_message(myemail)
#on ferme proprement la connexion  avec le serveur smtp
smtpserver.quit()
